﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UrlCleaner
{
    /// <summary>
    /// Manage rules used to select URLs to verify.
    /// Rules are simple 'include' and 'exclude' text patterns.
    /// 
    /// Author: Dennis Lang - 2011
    /// http://home.comcast.net/~lang.dennis/
    /// </summary>
    public partial class OptionsDlg : Form
    {
        public OptionsDlg()
        {
            InitializeComponent();
        }

        private void cancelBtn_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void acceptBtn_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        public FilterUI.CheckedValue[] Include
        {
            get { return includeUI.List; }
            set { includeUI.List = value; }
        }

        public FilterUI.CheckedValue[] Exclude
        {
            get { return excludeUI.List; }
            set { excludeUI.List = value; }
        }
    }
}
