﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UrlCleaner
{
    /// <summary>
    /// Display version and author information.
    /// 
    /// Author: Dennis Lang - 2011
    /// http://home.comcast.net/~lang.dennis/
    /// </summary>
    public partial class AboutDlg : Form
    {
        public AboutDlg()
        {
            InitializeComponent();
            this.Text = "About " + Application.ProductName + " v" + Application.ProductVersion;
            this.version.Text = Application.ProductName + " v" + Application.ProductVersion;
        }

        private void closeBtn_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void webLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(webLink.Text);
        }
    }
}
